/*
 * Class EV_TEXT_FIELD_ACTION_SEQUENCES_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_418 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_418 [] = {0xFF01,1551,417,0xFFFF};
static const EIF_TYPE_INDEX egt_2_418 [] = {0xFF01,417,0xFFFF};
static const EIF_TYPE_INDEX egt_3_418 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_418 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_418 [] = {0xFF01,417,0xFFFF};
static const EIF_TYPE_INDEX egt_6_418 [] = {0xFF01,417,0xFFFF};
static const EIF_TYPE_INDEX egt_7_418 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_418 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_418 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_418 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_418 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_418 [] = {0xFF01,417,0xFFFF};
static const EIF_TYPE_INDEX egt_13_418 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_14_418 [] = {0xFF01,654,0xFFFF};


static const struct desc_info desc_418[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_418), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_418), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_418), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_418), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_418), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_418), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_418), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_418), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_418), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_418), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_418), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_418), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0343 /*417*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_418), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_418), 7240, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_418), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7241, 0},
};
void Init418(void)
{
	IDSC(desc_418, 0, 417);
	IDSC(desc_418 + 1, 1, 417);
	IDSC(desc_418 + 32, 629, 417);
}


#ifdef __cplusplus
}
#endif
